Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class LicenseKeyNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.common.LicenseException
                              |
                              +--weblogic.common.LicenseKeyNotFoundException

public final class LicenseKeyNotFoundException
extends LicenseException

Class for verifying licensing information. This is for when a key is not found

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`LicenseKeyNotFoundException()` Constructs a LicenseKeyNotFoundException with a general exception message.
`LicenseKeyNotFoundException(java.lang.String val)` Constructs a LicenseKeyNotFoundException with the specified string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicenseKeyNotFoundException

    public LicenseKeyNotFoundException()

  Constructs a LicenseKeyNotFoundException with a general exception message.

### LicenseKeyNotFoundException

    public LicenseKeyNotFoundException(java.lang.String val)

  Constructs a LicenseKeyNotFoundException with the specified string.

  Parameters:
    `val` - String message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD